unit TestMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, SAX;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    ListBox1: TListBox;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure MyStartElementEvent(Sender: TObject; const NamespaceURI, LocalName, QName: SAXString; Atts: TSAXAttributes);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.MyStartElementEvent(Sender: TObject; const NamespaceURI, LocalName, QName: SAXString; Atts: TSAXAttributes);
begin
    Form1.ListBox1.Items.Add('Test');
end;

procedure TForm1.Button1Click(Sender: TObject);
var XMLReader:TSAXReader;

begin
  XMLReader := TSAXReader.Create;
  if (OpenDialog1.Execute) then
  begin
    try
      XMLReader.OnStartElement := @MyStartElementEvent;
      XMLReader.Parse(OpenDialog1.Filename);
      //XMLReader:=nil;
    finally
      XMLReader.Free
    end;
  end;
end;

end.
